from .auto_off import AutoOffBehavior
from std_msgs.msg import Empty

class Hover(AutoOffBehavior):
    def __init__(self):
        super().__init__('Hover', off_duration=2.0)
        self.hover_publisher = self.create_publisher(Empty, 'hover', 10)

    def on_status(self):
        if self.status:
            self.get_logger().info("Hover behavior activated")
            self.hover_publisher.publish(Empty())
            self.request_off()
        else:
            self.get_logger().info("Hover behavior deactivated")