from .auto_off import AutoOffBehavior
from std_msgs.msg import Empty
class StopAndLand(AutoOffBehavior):
    def __init__(self):
        super().__init__('StopAndLand', off_duration=2.0)
        self.land_publisher = self.create_publisher(Empty, 'land', 10)

    def on_status(self):
        if self.active:
            self.get_logger().info("Land is active: Initiating landing.")
            self.land_publisher.publish(Empty())
            self.request_off()
        else:
            self.get_logger().info("Land is now inactive.")