from launch import LaunchDescription
from launch_ros.actions import Node

def generate_launch_description():
    return LaunchDescription([
        # 启动 joy_node 以接收手柄输入
        Node(
            package='joy',
            executable='joy_node',
            name='joy_node'
        ),
        # 启动 twist2pic 节点
        Node(
            package='low_level',
            executable='twisttopic_node',
            name='twisttopic_node'
        ),
        # 启动 viewer_node 以直接查看图像
        Node(
            package='low_level',
            executable='viewer_node',
            name='viewer_node'
        ),
        # 启动 joy_teleop 节点
        Node(
            package='low_level',
            executable='joy_teleop',
            name='joy_teleop'
        ),
        # 启动 speed_controller 节点
        Node(
            package='low_level',
            executable='speed_controller',
            name='speed_controller'
        ),
    ])
